Bug 1498374 - user accounts can still own pools after being deleted
Summary: user accounts can still own pools after being deleted
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: general   
(Show other bugs)
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 24.5
Assignee: Dan Callaghan
QA Contact: Anwesha Chatterjee
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-04 07:10 UTC by Dan Callaghan
Modified: 2017-10-27 06:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-27 06:47:29 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dan Callaghan 2017-10-04 07:10:10 UTC
When a user account is deleted, Beaker should also reassign ownership of any system pools owned by the account. Similar to how it handles group ownership.

And Beaker should not let you give a pool to a user account which is deleted. Similar to bug 1497881.

And for completeness, the user page should show "Owner of X pools" the same way it does for groups, systems, etc.

Comment 1 Dan Callaghan 2017-10-06 07:06:18 UTC
https://gerrit.beaker-project.org/5861 show owned pools on the user page
https://gerrit.beaker-project.org/5862 transfer pool ownership when removing a user
https://gerrit.beaker-project.org/5863 disallow giving pools to deleted users

Comment 3 Anwesha Chatterjee 2017-10-20 06:12:02 UTC
Verified that 
1. User page has a link with "Owner of X pools" 
2. The deleted user's pools are reassigned
3. new pools cannot be assigned to deleted user

Comment 4 Dan Callaghan 2017-10-27 06:47:29 UTC
Beaker 24.5 has been released.


Note You need to log in before you can comment on or make changes to this bug.